Bug 434632 - apt doesn't resolve dependencies the "Fedora" way
apt doesn't resolve dependencies the "Fedora" way
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: apt (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-23 11:36 EST by Leszek Matok
Modified: 2009-07-14 12:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:11:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The log. (3.11 KB, application/octet-stream)
2008-02-23 11:36 EST, Leszek Matok
no flags Details

  None (edit)
Description Leszek Matok 2008-02-23 11:36:21 EST
Apt doesn't resolve dependencies the way yum does. You can look at it as a
feature, but I'll try to convince you that it's a bug.

First of all, compatibility is the thing that users want.

Secondly, developers want predictability.

And thirdly, I want my system to update reliably :)

The amount of text I want to show you is rather large, so I'm attaching it as
attachment. It shows that yum allows ncurses-base to obsolete older ncurses and
require newer version at the same time. Apt doesn't dig that situation (with
dist-upgrade) unless I tell it what to do (with install ncurses). I can agree
"upgrade" can keep the packages, but "dist-upgrade" should do the thing it was
meant to do.

Fedora developers expect ncurses to be upgraded, which yum does (and it doesn't
look as a yum bug). I, a user, expect apt to upgrade what the developers want me
to have upgraded :)
Comment 1 Leszek Matok 2008-02-23 11:36:21 EST
Created attachment 295705 [details]
The log.
Comment 2 Bug Zapper 2008-05-14 01:35:40 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-06-09 19:37:22 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-07-14 12:11:33 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.